#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['hydromt_sfincs', 'hydromt_sfincs.workflows']

package_data = \
{'': ['*'], 'hydromt_sfincs': ['data/*', 'data\\lulc/*', 'data\\sfincs/*']}

install_requires = \
['hydromt>=0.4.2',
 'dask',
 'geopandas >=0.8',
 'netcdf4',
 'numpy',
 'pandas',
 'pygeos',
 'rasterio',
 'scipy',
 'xarray']

extras_require = \
{'doc': ['sphinx', 'sphinx_rtd_theme', 'black'],
 'test': ['testpath', 'responses', 'pytest>=2.7.3', 'pytest-cov']}

entry_points = \
{'hydromt.models': ['sfincs = hydromt_sfincs.sfincs:SfincsModel']}

setup(name='hydromt_sfincs',
      version='0.2.0',
      description='hydroMT plugin for sfincs models.',
      author=None,
      author_email='Dirk Eilander <dirk.eilander@deltares.nl>, Tim Leijnse <tim.leijnse@deltares.nl>',
      url=None,
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='>=3.8',
     )
